import 'dart:async';

import 'package:flutter/services.dart';

class ThumbnailCreator {
  static const MethodChannel _channel =
      const MethodChannel('thumbnail_creator');

  Future<List<int>> getThumbnail(String path, {int reqWidth = 100, int reqHeight = 100}) async {
    var result = await _channel.invokeMethod("getThumbnail", {"path": path, "reqWidth": reqWidth, "reqHeight": reqHeight});
    return result;
  }
}
